Subject: Re: linux-next: build failure after merge of the nfsd tree

From: "J. Bruce Fields" <[email-masked]>
Date: Tue, 27 May 2014 17:22:04 -0400

On Mon, May 26, 2014 at 11:18:15AM +1000, Stephen Rothwell wrote:
> Hi Bruce,
> 
> After merging the nfsd tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> fs/nfsd/nfs4proc.c: In function 'warn_on_nonidempotent_op':
> fs/nfsd/nfs4proc.c:1861:3: error: implicit declaration of function 'nfsd4_op_name' [-Werror=implicit-function-declaration]
>    pr_err("unable to encode reply to nonidempotent op %d (%s)\n",
>    ^
> 
> Caused by commit 4d332a993e64 ("nfsd4: fix encoding of out-of-space replies").
> 
> I have used the nfsd tree from next-20140523 for today.

Thanks for catching that!  It should be fixed.  (But I also pushed out a
bunch of new stuff, so hopefully that didn't introduce anything equally
bad....).

--b.